GET /interaction/v1/interactions/{id}/audit/{action}

Retrieves an audit log for one or all versions of a journey by specifying its ID. You can specify different actions to see history related to the creation, modification, activation, deactivation, stopping, and deletion of a journey.

URL Parameters 

Specify these parameters in the URL.

NameTypeDescription
actionStringRequired. The actions to include in the audit log. Specify all to return all actions. Possible values:
  • all
  • create
  • modify
  • publish
  • unpublish
  • delete
idStringRequired. The ID of the journey to retrieve audit logs for. The response includes the audit log for all versions of the journey, unless you specify the versionNumber query parameter.

Query Parameters 

Use these optional query parameters to further refine the results.

NameTypeDescription
$pageIntegerThe page number of results to return. The default value is 1.
$pageSizeIntegerThe number of items to return in a page of results. The default value is 50. The minimum value is 1 and the maximum is 50. This value is only honored if the query string also specifies the $page parameter.
mostRecentVersionOnlyBooleanIf true, the response includes an audit log for the most recent version of the journey. Don’t specify this parameter if you specify the versionNumber parameter or if mostRecentVersionOrRunningOnly is true.
mostRecentVersionOrRunningOnlyBooleanIf true, the response includes an audit log for the running version of the journey and the next draft version, if one exists. Don’t specify this parameter if you specify the versionNumber parameter or if mostRecentVersionOnly is true.
statusStringA journey status value to filter the results by. Possible values are:
  • Deleted
  • Draft
  • None
  • Paused
  • Pausing
  • Published
  • Resuming
  • ScheduledToPublish
  • ScheduledToSend
  • ScheduledToStop
  • Sent
  • Stopped
  • Unpublished
versionNumberIntegerThe version number of the journey to retrieve audit logs for. If you don’t specify this parameter, the response includes audit logs for all versions of the journey.

Usage 

To retrieve audit logs, determine which type of action you want to view. This example returns all actions for version 2 of the specified journey.

1Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
2GET /interaction/v1/interactions/YOUR_JOURNEY_ID/audit/all?versionNumber=2
3Content-Type: application/json
4Authorization: Bearer YOUR_ACCESS_TOKEN

The response is a log that includes these elements:

  • The current page number of results.
  • The number of items returned in each page of results.
  • The total number of items that meet the request parameters.
  • An Items array. The array includes an object for each action. All objects in the array include these elements:
    • The ID, key, name, and description of the journey
    • The original definition ID
    • The date and time when the action occurred
    • The name and ID of the user who performed the action

This example shows an Items array that contains Create, Modify, Publish, and Stop actions.

1{
2  "Page": 1,
3  "PageSize": 50,
4  "Count": 5,
5  "Items": [
6    {
7      "action": "Create",
8      "key": "some-journey-key",
9      "versionNumber": 2,
10      "id": "838e10a4-5082-4c93-8455-4c7be5d0b0da",
11      "originalDefinitionId": "c1e1e38e-128b-41b6-9710-f5e942ce2660",
12      "name": "Complete journey",
13      "description": "This journey contains a trigger, goal, and activities",
14      "timeStamp": "2025-10-30T11:49:55.99",
15      "user": {
16        "name": "Test User 1",
17        "UserId": 1234
18      },
19      "executionMode": "Production",
20      "sourceInteraction": {
21        "id": "####-####-####-####-####",
22        "version": 3,
23        "key": "My journey"
24      }
25    },
26    {
27      "action": "Modify",
28      "key": "some-journey-key",
29      "versionNumber": 2,
30      "id": "af388fb2-233a-4ab4-ad78-89fd00bc7827",
31      "originalDefinitionId": "ce74fdea-7530-46b2-84d4-f76d464da460",
32      "name": "Complete journey",
33      "description": "This journey contains a trigger, goal, and activities",
34      "timeStamp": "2025-10-30T11:49:55.99",
35      "user": {
36        "name": "Test User 1",
37        "UserId": 1234
38      },
39      "executionMode": "Production"
40    },
41    {
42      "action": "Publish",
43      "key": "some-journey-key",
44      "versionNumber": 2,
45      "id": "1e5bffca-0bcb-4655-84fb-f3e0a7635ec0",
46      "originalDefinitionId": "9fcebdec-262a-4b9b-92d7-f790d9a265c9",
47      "name": "Complete journey",
48      "description": "This journey contains a trigger, goal, and activities",
49      "timeStamp": "2025-10-30T11:49:55.99",
50      "user": {
51        "name": "Test User 2",
52        "userId": 5678
53      },
54      "executionMode": "Production",
55      "publishStatus": "Error",
56      "PublishRequestId": "e31c0c6f-f51a-41c7-9ef9-15039bb8e21c",
57      "errors": [
58        {
59          "ErrorDetail": "An activity must be created and configured before activation can be successful",
60          "ErrorCode": "VALIDATE_GENERAL_EXCEPTION"
61        },
62        {
63          "ErrorDetail": "An entry event must be configured before activation can be successful",
64          "ErrorCode": "VALIDATE_GENERAL_EXCEPTION"
65        }
66      ]
67    },
68    {
69      "action": "Publish",
70      "key": "some-journey-key",
71      "versionNumber": 2,
72      "id": "3163a736-1895-4e46-a247-472777c2b8be",
73      "originalDefinitionId": "24ad56e3-c7a7-43a4-9c63-eb3cd10e6975",
74      "name": "Complete journey",
75      "description": "This journey contains a trigger, goal, and activities",
76      "timeStamp": "2025-10-30T11:49:55.99",
77      "user": {
78        "name": "Test User 2",
79        "userId": 5678
80      },
81      "executionMode": "Production",
82      "publishStatus": "PublishCompleted",
83      "publishRequestId": "191514ac-37a1-4674-b70c-029d1a5ffa4c"
84    },
85    {
86      "action": "Stop",
87      "key": "some-journey-key",
88      "versionNumber": 2,
89      "id": "5a5c23a7-58aa-4a5a-9b66-1f4cdd5f43e6",
90      "originalDefinitionId": "65bd6ea2-df07-4232-89ba-330b1ca8e5f9",
91      "name": "Complete journey",
92      "description": "This journey contains a trigger, goal, and activities",
93      "timeStamp": "2025-10-30T11:49:55.99",
94      "user": {
95        "name": "Test User 1",
96        "userId": 1234
97      },
98      "ContactsEjected": 20
99    }
100  ]
101}

See Also 

DID THIS ARTICLE SOLVE YOUR ISSUE?
Let us know so we can improve!